const merge = require('webpack-merge');
const common = require('./webpack.common.js');
const webpack = require('webpack');
const config = require('./config.js');
// const CopyWebpackPlugin = require('copy-webpack-plugin')

module.exports = merge(common,{
  mode: 'development',
  devtool: "inline-source-map",
  devServer: {
    // contentBase:'./dist',
    port:'8082',
    host:'192.168.3.126',
    openPage:'?hospitalCode=A001&hospitalDeptCode=D01&doctorCode=YS001&patientCode=1600&recordId=44',//携带参数
    proxy:{
      '/api':{
        target:config.host,
        changeOrigin:true
      }
    },
    hot:true
  },
  plugins: [
    new webpack.HotModuleReplacementPlugin(),
    /*new CopyWebpackPlugin([
      {
        from: path.resolve(__dirname, './src/assets'),
        to: config.dev.assetsSubDirectory,
        ignore: ['.*']
      }
    ])*/
  ]
});